curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters/{skill_cluster_external_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"skill_cluster_name": "Database Management",
"skill_cluster_description": "Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle."
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters/{skill_cluster_external_id}"
payload = {
"domain_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"skill_cluster_name": "Database Management",
"skill_cluster_description": "Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain_id: 'a3903505-eb84-42dc-a79f-5e7b1fe897b7',
skill_cluster_name: 'Database Management',
skill_cluster_description: 'Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle.'
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/taxonomy/skill_clusters/{skill_cluster_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Update Skill Cluster
Submit the most up-to-date Skill Cluster information. Any field that is present will overwrite existing values within the system, while absent fields will be left as is.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Skill Cluster ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Body
- 3-level Taxonomy
- 4-level Taxonomy
Default structure for updating a Skill Cluster.
The unique ID of a Domain to which this Skill Cluster is linked, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Skill Cluster.
1 - 255"Database Management"
Description of the Skill Cluster. Any changes with placeholder values such as "-" or "No description", or a description that is identical to the Skill Cluster name, will be automatically saved as an empty string (the default).
"Knowledge of actions a business takes to manipulate and control data to meet necessary conditions throughout the entire data lifecycle."
Response
No Content
Was this page helpful?